• twitter image
  • facebook image
  • youtube image
  • linkedin image
Language: CMS Made Simple Czech CMS Made Simple France CMS Made Simple Spain CMS Made Simple Hungary CMS Made Simple Russia CMS Made Simple Netherlands

All times are UTC




Post new topic Reply to topic  [ 3 posts ] 
Author Message
 Post subject: Upgrade 1.12.2 to 2.0 Fatal Error
PostPosted: Sun Jun 18, 2017 6:55 pm 
Offline
Translator
Translator

Joined: Tue Jan 22, 2008 9:57 am
Posts: 148
I’m trying to upgrade an old website to the latest version and the first step is to go from version 1 to version 2. But whenever I get to step 8 (database upgrade) it’s stalling and I’m getting a fatal error:

Quote:
Uncaught ArgumentCountError: Too few arguments to function ADODB_DataDict::AlterColumnSQL(), 1 passed in /Users/Stephan/Sites/test/install/app/upgrade/2.0/upgrade.php on line 19 and at least 2 expected in /Users/Stephan/Sites/test/install/lib/adodb_lite/adodb-datadict.inc.php:402
Stack trace:
#0 /Users/Stephan/Sites/test/install/app/upgrade/2.0/upgrade.php(19): ADODB_DataDict->AlterColumnSQL('cms_content_pro...')
#1 /Users/Stephan/Sites/test/install/app/wizard/class.wizard_step8.php(168): include_once('/Users/Stephan/...')
#2 /Users/Stephan/Sites/test/install/app/wizard/class.wizard_step8.php(193): cms_autoinstaller\wizard_step8->do_upgrade(Array)
#3 /Users/Stephan/Sites/test/install/lib/classes/class.wizard_step.php(38): cms_autoinstaller\wizard_step8->display()
#4 /Users/Stephan/Sites/test/install/lib/classes/class.wizard.php(141): __appbase\wizard_step->run()
#5 /Users/Stephan/Sites/test/install/app/class.cms_install.php(323): __appbase\wizard->process()
#6 /Users/Stephan/Sites/test/install/index.php(31): in /Users/Stephan/Sites/test/install/lib/adodb_lite/adodb-datadict.inc.php on line 402


“test” is the CMS root directory and “install” is the renamed “cmsms-2.0-install.expanded” directory. I also tried it with the PHAR installer with the same issue, I think.

What could this be? How can this be fixed?

By the way: I also tried this with a clean version 1.12.2 with the same error.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade 1.12.2 to 2.0 Fatal Error
PostPosted: Sun Jun 18, 2017 8:17 pm 
Offline
Translator
Translator

Joined: Tue Jan 22, 2008 9:57 am
Posts: 148
Was this thread moved or something? Because I was certain that I posted it in the “Installation, setup, and upgrade” section.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
 Post subject: Re: Upgrade 1.12.2 to 2.0 Fatal Error
PostPosted: Mon Jun 19, 2017 9:40 pm 
Offline
Translator
Translator

Joined: Tue Jan 22, 2008 9:57 am
Posts: 148
Well, so, I thought that going step by step, version by version, would be the safest way to upgrade all the way to the latest but folks on IRC recommended to use the install/upgrade script for the latest version right away, and I wouldn’t have thought but it worked.


Top
  Profile  
 
Share On:
Share on Facebook Share on Twitter Share on Google+
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
A2 Hosting